PULSAR

Get Work

Retrieves information of work progress.

Authorization

bearerAuth user, superuser, admin, superadmin, readonly
Authorization<token>

In: header

Scope: user, superuser, admin, superadmin, readonly

Query Parameters

work?string

The work name.

status?string

The work progress status.

Value in

  • "InProgress"
  • "Completed"
start?string

The start date.

Formatdate-time
end?string

The end date.

Formatdate-time
machineId?array<>

The machine id.

getStatusMinutes?boolean

Specify if the status minutes should be returned.

Response Body

application/json

Try it live
GET
/work

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X GET "https://example.com/work"
[  {    "noDataMinutes": 0.1,    "stopMinutes": 0.1,    "workingMinutes": 0.1,    "quality": 0.1,    "availability": 0.1,    "performance": 0.1,    "defects": 0.1,    "produced": 0.1,    "quantityC": 0.1,    "quantityB": 0.1,    "quantityA": 0.1,    "targetQuantity": 0.1,    "status": "InProgress",    "unit": "string",    "sku": "string",    "skuId": "string",    "work": "string",    "team": "string",    "operatorId": 0.1,    "end": "2019-08-24T14:15:22Z",    "start": "2019-08-24T14:15:22Z",    "machineName": "string",    "machineId": 0.1,    "companyId": 0.1,    "id": "string"  }]